Page MenuHomePhabricator

Fix MWLoggerMonologHandler::isHandling() to work with Monolog 1.12.0
Closed, ResolvedPublic

Description

The current isHandling() implementation expects a full log record so it can use channel and the context to decide if a record will be emitted based on the legacy logging rules when $useLegacyFilter is true. Monolog 1.12.0 made a change that only passes the log level in the record provided to isHandling() so we need to adjust our implementation.

Event Timeline

bd808 created this task.Feb 12 2015, 1:09 AM
bd808 claimed this task.
bd808 raised the priority of this task from to Normal.
bd808 updated the task description. (Show Details)
bd808 added subscribers: gerritbot, Legoktm, bd808 and 2 others.

Change 190618 had a related patch set uploaded (by BryanDavis):
Update MWLoggerMonologHandler for Monolog 1.12.0

https://gerrit.wikimedia.org/r/190618

Patch-For-Review

Change 190618 merged by jenkins-bot:
Update MWLoggerMonologHandler for Monolog 1.12.0

https://gerrit.wikimedia.org/r/190618

Legoktm closed this task as Resolved.Feb 14 2015, 1:44 AM
bd808 moved this task from Backlog to Done on the MediaWiki-Core-Team board.Feb 14 2015, 1:51 AM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 17 2015, 11:44 PM
bd808 moved this task from Untriaged to Done on the Librarization board.Feb 18 2015, 4:32 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptJul 29 2016, 8:19 PM
bd808 moved this task from To Do to Archive on the User-bd808 board.Sep 1 2016, 5:14 PM